NisusWrtGraphInternal::SubDocument Class Reference documentation

Public Member Functions | Protected Attributes | Private Member Functions | List of all members
NisusWrtGraphInternal::SubDocument Class Reference

Internal: the subdocument of a NisusWrtGraph. More...

Inheritance diagram for NisusWrtGraphInternal::SubDocument:

## Public Member Functions
| SubDocument (NisusWrtGraph &pars, MWAWInputStreamPtr input, int id, MWAWPosition const &pos)
virtual | ~SubDocument ()
| destructor More...
virtual bool | operator!= (MWAWSubDocument const &doc) const
| operator!= More...
virtual bool | operator== (MWAWSubDocument const &doc) const
| operator!== More...
void | parse (MWAWListenerPtr &listener, libmwaw::SubDocumentType type)
| the parser function More...
Public Member Functions inherited from MWAWSubDocument
| MWAWSubDocument (MWAWParser *pars, MWAWInputStreamPtr ip, MWAWEntry const &z)
| constructor from parser, input stream and zone in the input More...
| MWAWSubDocument (MWAWSubDocument const &doc)
| copy constructor More...
MWAWSubDocument & | operator= (MWAWSubDocument const &doc)
| copy operator More...
virtual | ~MWAWSubDocument ()
| virtual destructor More...
bool | operator== (MWAWSubDocument const &doc) const
| comparison operator== More...
bool | operator!= (shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator!= More...
bool | operator== (shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator== More...

## Protected Attributes
NisusWrtGraph * | m_graphParser
| the graph parser More...
int | m_id
| the pict id More...
MWAWPosition | m_position
| the pict position More...
Protected Attributes inherited from MWAWSubDocument
MWAWParser * | m_parser
| the main zone parser More...
shared_ptr< MWAWInputStream > | m_input
| the input More...
MWAWEntry | m_zone
| if valid the zone to parse More...

## Private Member Functions
| SubDocument (SubDocument const &orig)
SubDocument & | operator= (SubDocument const &orig)

## Detailed Description

Internal: the subdocument of a NisusWrtGraph.

## Constructor & Destructor Documentation

## § SubDocument() [1/2]

NisusWrtGraphInternal::SubDocument::SubDocument | ( | NisusWrtGraph & | pars,
|  | MWAWInputStreamPtr | input,
|  | int | id,
|  | MWAWPosition const & | pos
| ) |  |
| inline

## § ~SubDocument()

virtual NisusWrtGraphInternal::SubDocument::~SubDocument | ( |  | ) |
| inlinevirtual

destructor

## § SubDocument() [2/2]

NisusWrtGraphInternal::SubDocument::SubDocument | ( | SubDocument const & | orig | ) |
| private

## Member Function Documentation

## § operator!=()

bool NisusWrtGraphInternal::SubDocument::operator!= | ( | MWAWSubDocument const & | doc | ) | const
| virtual

operator!=

Reimplemented from MWAWSubDocument.

## § operator=()

SubDocument& NisusWrtGraphInternal::SubDocument::operator= | ( | SubDocument const & | orig | ) |
| private

## § operator==()

virtual bool NisusWrtGraphInternal::SubDocument::operator== | ( | MWAWSubDocument const & | doc | ) | const
| inlinevirtual

operator!==

## § parse()

void NisusWrtGraphInternal::SubDocument::parse | ( | MWAWListenerPtr & | listener,
|  | libmwaw::SubDocumentType | type
| ) |  |
| virtual

the parser function

Implements MWAWSubDocument.

## Member Data Documentation

## § m_graphParser

NisusWrtGraph* NisusWrtGraphInternal::SubDocument::m_graphParser
| protected

the graph parser

Referenced by operator!=().

## § m_id

int NisusWrtGraphInternal::SubDocument::m_id
| protected

the pict id

Referenced by operator!=().

## § m_position

MWAWPosition NisusWrtGraphInternal::SubDocument::m_position
| protected

the pict position

Referenced by operator!=().

The documentation for this class was generated from the following file:

- NisusWrtGraph.cxx